<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

  
$idcdt = $sesion->id;
   

	  $q2 = "SELECT id_prod, nombreProd, cantidad, precio, puntos FROM productos left join stock on (productos.id_prod=stock.idprod and idcd='$idcdt') WHERE tipoprod>0";

  

  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());

  echo"<center><font size=\"5\"><b>Lista de Productos en Sistema</b><br><br></font><table border=\"1\"> <tr>

			<th>Id</th><th>Producto</th><th>Precio</th><th>Puntos</th><th>Acci&oacute;n</th>

			</tr>";

  for($i=0;$r1 = mysql_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];
  $a4 = $r1[4];
	 

	  

	  

	  

echo"<tr><td>$a0</td><td>$a1</td><td>$ $a3</td><td>$a4</td>";

if($a2!=NULL){echo"<td align=\"center\">---En Stock---</td><td><form name=\"busca\" action=\"eliminaprod.php\" method=\"post\">

			<input type=hidden name=idprod value=$a0 /><input type=hidden name=cant value=$a2 />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Eliminar\" /></form></td>";}else{

  echo"<td><form name=\"busca\" action=\"altaprod2.php\" method=\"post\">

			<input type=hidden name=idprod value=$a0 />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Agregar a stock\" /></form></td>";}

echo"
</tr>";

	}

	echo"</table><br>";

	

  

  

  

?>